Bug 70678 - Fatal error when adding a chart for cells with formulas (Summary in Comment 24)
Summary: Fatal error when adding a chart for cells with formulas (Summary in Comment 24)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: haveBacktrace
Depends on:
Blocks: Chart Writer-Tables
  Show dependency treegraph
 
Reported: 2013-10-20 16:28 UTC by Дмитрий
Modified: 2019-01-16 13:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Today (78.56 KB, image/png)
2013-10-20 16:28 UTC, Дмитрий
Details
Crash log Mac osx 10.9 (65.20 KB, text/plain)
2013-10-24 09:54 UTC, Thomas van der Meulen
Details
Test file (417.75 KB, application/vnd.oasis.opendocument.text)
2013-10-27 07:33 UTC, Thomas van der Meulen
Details
console logs (8.89 KB, text/x-log)
2015-05-20 19:25 UTC, Julien Nabet
Details
backtrace master 5.3 from Windbg.txt (14.21 KB, text/plain)
2016-09-20 12:53 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Дмитрий 2013-10-20 16:28:04 UTC
Created attachment 87883 [details]
Today

Problem description: 
Crash when diagramm

Steps to reproduce:
1. Make new table
2. Calculate sum(or average)
3. Attempt to build Diagramm sums or averages.
4. Crash.

Current behavior:
Crash

Expected behavior:
Not crash
              
Operating System: Windows 7
Version: 4.1.2.3 release
Comment 1 Thomas van der Meulen 2013-10-21 09:02:11 UTC
Thank you for your bug report, I CAN'T reproduce this bug running 
Version: 4.1.3.1
Build ID: b42498da0e3f91b17e51b55c8295ec4f8f22087
and Version: 4.1.2.3
Build ID: 40b2d7fde7e8d2d7bc5a449dc65df4d08a7dd38
on Mac osx 10.8.5.

Maybe this is a Windows only bug, or maybe I did something wrong in the file. Would there a possibility that you could attach a test file so we can test it again. Thank you in advance 

kind regards,
Thomas
Comment 2 Dominique Boutry 2013-10-23 14:51:55 UTC
Same platform (LibO 4.1.2.3 on Win7), unable to reproduce the bug
Comment 3 Дмитрий 2013-10-23 15:00:20 UTC
I have windows, 64-bit, i tried make graph 5 times, but each try ended by crash (
Comment 4 Thomas van der Meulen 2013-10-23 16:13:37 UTC
Дмитрий could you please attach the file that crashed so we can test that file out. Thank you in advance.

kind regards,
Thomas
Comment 5 Дмитрий 2013-10-23 16:38:36 UTC Comment hidden (obsolete)
Comment 6 gioni 2013-10-23 16:51:18 UTC
I have windows7, 64-bit, LO 4.1.2.3 and the system crash if I select some cells in order to insert chart.
Without selecting cell the chart has been inserted.
Comment 7 gioni 2013-10-23 16:51:52 UTC Comment hidden (obsolete)
Comment 8 Дмитрий 2013-10-23 16:52:53 UTC Comment hidden (obsolete)
Comment 9 gioni 2013-10-23 17:01:49 UTC Comment hidden (obsolete)
Comment 10 gioni 2013-10-23 17:02:31 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > (In reply to comment #5)
> > > I dont know, what i must send?
> > 
> > attach your file please.
> 
> Which file??

file that you created and tested.
Comment 12 Caolán McNamara 2013-10-24 08:40:57 UTC
Could you please just attach the sample document to this bugzilla entry, rather than going through some cloud solution which wants to install 50 megs of dubious code in order to download a 300k example.
Comment 13 Дмитрий 2013-10-24 08:46:25 UTC
(In reply to comment #12)
> Could you please just attach the sample document to this bugzilla entry,
> rather than going through some cloud solution which wants to install 50 megs
> of dubious code in order to download a 300k example.

I can't. Dont added and i used cloud disk. There info for you.
Comment 14 Thomas van der Meulen 2013-10-24 09:54:15 UTC
Created attachment 88072 [details]
Crash log Mac osx 10.9
Comment 15 Thomas van der Meulen 2013-10-24 09:55:04 UTC
I have downloaded the file from Mega and I can reproduce this bug running 
Version: 4.1.3.1
Build ID: b42498da0e3f91b17e51b55c8295ec4f8f22087
OS: Mac osx 10.9.
Comment 16 Julien Nabet 2013-10-25 19:54:11 UTC
Thomas: would it be possible you attach the file to the bugtracker?
Comment 17 Thomas van der Meulen 2013-10-26 05:47:17 UTC
Дмитрий do you have no problems if I attach the file that I downloaded on Mega and upload it to this bug?
Comment 18 Дмитрий 2013-10-26 10:53:49 UTC
(In reply to comment #17)
> Дмитрий do you have no problems if I attach the file that I downloaded on
> Mega and upload it to this bug?

its ok. i cant do it, unknown for me error appear
Comment 19 Thomas van der Meulen 2013-10-27 07:33:09 UTC
Created attachment 88167 [details]
Test file
Comment 20 Julien Nabet 2013-11-05 21:59:59 UTC
Sorry for not having responded before, I expected a Calc file but if it's an odt, I must say I don't know how to reproduce this since I know very few about tables + calculus on Writer. (even with the steps given in the description).
Comment 21 retired 2014-05-04 13:31:31 UTC
Can not reproduce this. Setting to NEEDINFO until we have exact reproduce steps.

Might this be resolved already in 4.2.3.3?
Comment 22 Дмитрий 2014-05-05 11:31:57 UTC
"Can not reproduce this. Setting to NEEDINFO until we have exact reproduce steps.
Might this be resolved already in 4.2.3.3?"

WHAT INFO??? Im send you screenshot and file, there no more things to add.

And no, in new version Libre Office this error still appear, im check it.

And i changed from NeedInfo, because there all files for reproduction.
Comment 23 Maxim Monastirsky 2014-05-06 15:58:27 UTC
Steps to reproduce:

1. Go to the last page.
2. Select the most right column of the table (the one with the purple color).
3. Try to add a chart using the menu Insert->Object->Chart...

Actual results:

An empty message box with 'Fatal Error' in its title, followed by a closing of the entire app (it doesn't crash for me).

Tested with master (fb0ca7eff0e16fa8dd1a4c8d75fef23830903a3f) under Fedora 20 (64-bit).
Comment 24 Gordo 2015-05-20 12:28:43 UTC
I think this has something to do with merged cells.

1. New Text Document.
2. Insert Table 2 columns x 3 rows.
3. Merge cells A1 and B1 in first row.
4. Select cells B2 and B3.
5. Insert → Object → Chart.
Expected Result:
Chart Wizard.
Results:
Empty dialogue with “LibreOffice 4.4 Fatal er” title and crash.

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 25 Julien Nabet 2015-05-20 19:25:56 UTC
Created attachment 115756 [details]
console logs

On pc Debian x86-64 with master sources updated today and enable-dbgutil, I could reproduce this after having followed Gordo's step by step process.

I attached console logs I got.
Comment 26 QA Administrators 2016-09-20 09:42:55 UTC Comment hidden (obsolete)
Comment 27 Timur 2016-09-20 12:53:09 UTC
Created attachment 127467 [details]
backtrace master 5.3 from Windbg.txt
Comment 28 Xisco Faulí 2017-09-29 08:50:42 UTC Comment hidden (obsolete)
Comment 29 Bret R 2018-04-17 19:06:27 UTC
Confirmed fatal error crash on Windows 10 using Gordo's procedure.

Version: 6.0.2.1 (x64)
Build ID: f7f06a8f319e4b62f9bc5095aa112a65d2f3ac89
CPU threads: 4; OS: Windows 6.1; UI render: default; 
Locale: en-US (en_US); Calc: